<configs>
		<append xpath="/items">	
      <item name="HDHQmeleeToolTorch">
        <property name="CustomIcon" value="meleeToolTorch"/>
        <property name="Tags" value="blunt,melee,light,tool,weapon,meleeWeapon,perkStayDown"/>
        <property name="DisplayType" value="melee"/>
        <property name="Class" value="ItemClassTorch"/>
        <property name="HoldType" value="12"/>
        <property name="Meshfile" value="#@modfolder:Resources/HDHQItems.unity3d?HDHQTorch"/>
        <property name="DropMeshfile" value="Items/Tools/torch02_droppedPrefab"/>
        <!--<property name="DropScale" value=".4"/>-->
        <property name="Material" value="Morganic"/>
        <property name="Stacknumber" value="50"/> <!-- STK torch -->
        <property name="FuelValue" value="25"/>
        <property name="EconomicValue" value="10"/>
        <property name="SoundIdle" value="torch_lp"/>
        <!-- examples for joel<property name="SoundUnholster" value="weapon_empty"/><property name="SoundHolster" value="Pistol_Fire"/>-->
        <!-- <property name="LightSource" value="ParticleEffect/Point light"/>-->
        <property class="Action0">
          <property name="Class" value="DynamicMelee"/>
          <property name="Sphere" value="0.1"/>
          <property name="Sound_start" value="torch_swoosh"/>
          <property name="DamageType" value="Heat"/>
          <property name="ToolCategory.harvestingTools" value=".5" param1="1"/>
        </property>
        <property class="Action1">
          <property name="Class" value="PlaceAsBlock"/>
          <property name="Blockname" value="wallTorchLightPlayer"/>
        </property>
        <property name="Group" value="Basics,Decor/Miscellaneous"/>
        <property name="LightValue" value="0.35"/>
        <property name="LightSource" value="lightSource"/>
        <property name="ActivateObject" value="lightSource"/>
        <property name="AlwaysActive" value="true"/>

        <effect_group name="Base Effects" tiered="false">
          <passive_effect name="MaxRange" operation="base_set" value="2.4"/>
          <passive_effect name="BlockRange" operation="base_set" value="3"/>
          <passive_effect name="EntityDamage" operation="base_set" value="12"/> <!-- meleeToolTorch -->
          <passive_effect name="BlockDamage" operation="base_set" value="5"/>
          <passive_effect name="DamageModifier" operation="perc_add" value="0" tags="wood"/>
          <passive_effect name="DamageModifier" operation="perc_add" value="-.5" tags="earth"/>
          <passive_effect name="DamageModifier" operation="perc_add" value="-.5" tags="stone"/>
          <passive_effect name="DamageModifier" operation="perc_add" value="-.5" tags="metal"/>
          <passive_effect name="AttacksPerMinute" operation="base_set" value="50"/> <!-- A16 1.17 -->
          <passive_effect name="HarvestCount" operation="base_set" value="0" tags="allToolsHarvest"/>
          <passive_effect name="StaminaLoss" operation="base_set" value="16.8" tags="primary"/>
          <passive_effect name="HypothermalResist" operation="base_add" value="4"/>
          <passive_effect name="ModSlots" operation="base_set" value="0"/>
        </effect_group>

        <effect_group name="Fire Proc" tiered="false">
          <requirements compare_type="or">
            <requirement name="RandomRoll" seed_type="Random" target="self" min_max="0,100" operation="LTE" value="30"/>
            <requirement name="HasBuff" target="other" buff="buffBurningElement"/>
          </requirements>
          <triggered_effect trigger="onSelfAttackedOther" action="AddBuff" target="other" buff="buffBurningElement"/>
        </effect_group>
      </item>
		</append>
</configs>